Bug 115101 - Anaconda crashes on JFS install, easyfix
Anaconda crashes on JFS install, easyfix
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 12:26 EST by Mark Heslep
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 08:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Heslep 2004-02-06 12:26:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
JFS install crashes w/ Anaconda. Traceback:

"...RuntimeError: /sbin/jfs_tune can not be run..."


The correct path to jfs_tune in the ram disk image is /usr/sbin/jfs_tune.
Kickstart provides a workaround and test of the correct path with

#before the chroot jail is applied set a sym. link
%Pre
ln -s /usr/sbin/jfs_tune /sbin/jfs_tune

which clears the RuntimeError. Though w/o kickstart you are stuck.
(chroot jail applied so no way out from an interactive install)

I was booting off a boot.iso pulled the from Jan 05 '04 FC development
tree ( which reports out as FC 1.9 test )


Version-Release number of selected component (if applicable):
anaconda-9.90-5

How reproducible:
Always

Steps to Reproduce:
1.boot w/ linux jfs and attempt to install jfs formated partitions via
Anaconda installer.
2.
3.
    

Additional info:
Comment 1 Jeremy Katz 2004-02-06 13:16:09 EST
Committed fix to CVS

Note You need to log in before you can comment on or make changes to this bug.